Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Mon 26 Jun 2017, 18:45
All times are UTC - 4
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Virtualization
Wine - run Windows programs in Linux
Post new topic   Reply to topic View previous topic :: View next topic
Page 15 of 16 [229 Posts]   Goto page: Previous 1, 2, 3, ..., 13, 14, 15, 16 Next
Author Message
version2013

Joined: 08 Sep 2013
Posts: 257

PostPosted: Wed 08 Feb 2017, 00:27    Post subject: Wine-2.1  

My attempt at compiling wine-2.1

[wine-2.1 mirrors]

wine-2.1_v1.1.pet ________ puppy 431 | stripped=true
wine-2.1_v1.2.pet ________ puppy 431 | stripped=false
wine_DEV-2.1_v1.1.pet ____ puppy 431 |
wine_DEV-2.1_v1.2.pet ____ puppy 431 |

wine-2.1_v2.1.pet ________ racy puppy 5.5 | stripped=true
wine-2.1_v2.2.pet ________ racy puppy 5.5 | stripped=false
wine_DEV-2.1_v2.1.pet ____ racy puppy 5.5 |
wine_DEV-2.1_v2.2.pet ____ racy puppy 5.5 |

wine_DOC-2.1.pet

wine_extras-v2.pet _____________ menu entries | mirrors
md5.txt and hashdeep.txt ________ checksums/hashes | mirrors

----------------------------------------------------------------
Notes for my webpage
http://version2013.yolasite.com/page1.php

The ">" character denotes a link to a mirror for either a directory or file.
ie. Look for the ">" adjacent to a
> directory/
> file

----------------------------------------------------------------

For general use, I recommend packages that are 'stripped=true'.
For submitting bug reports to WineHQ, I recommend packages that are 'stripped=false'.
When submitting bug reports to WineHQ, it appears a 'stripped=false' Wine provides more information than a 'stripped=true' Wine.
[references: post | page]

The first post has links to:
pet to sfs scripts, menu entry utilities, and Wine usage tips.

----------------------------------------------------------------------------------------------------------


----------------
puppy 431
----------------

I compiled using puplet: Puppies 4.31.1 by forum member 'ttuuxxx'

mirrors | /distro/4.3__1/puppies-431.1-main-Xserver.iso
mirrors | /distro/4.3__1/devx_430.sfs

This puplet uses glibc 2.6.1
The Wine files listing 'puppy 431' will possibly not work with a glibc before 2.6.1
To see what glibc your puppy has.
Code:
ldd --version

I installed the following packages, as one sfs file, before compiling;
also known as dependencies:

fontconfig/2.7.1/fontconfig-2.7.1-i486-pup4.pet [mirrors]
fontconfig/2.7.1/fontconfig_DEV-2.7.1-i486-pup4.pet

gmp/6.1.1/gmp-6.1.1-i486_v1.2.pet [mirrors]
gmp/6.1.1/gmp_DEV-6.1.1-i486_v1.2.pet

gnutls/3.5.2/gnutls-3.5.2_v1.2.pet [mirrors]
gnutls/3.5.2/gnutls_DEV-3.5.2.pet

lcms2/2.8/lcms2-2.8_v2.pet [mirrors]
lcms2/2.8/lcms2_DEV-2.8_v2.pet

libelf/0.8.13/libelf-0.8.13-i486_v2.pet [mirrors]
libelf/0.8.13/libelf_DEV-0.8.13-i486_v2.pet

libgcrypt/1.4.6/libgcrypt-1.4.6-i486-431.pet [mirrors]
libgcrypt/1.4.6/libgcrypt_DEV-1.4.6-i486-431.pet

libgpg-error/1.10/libgpg-error-1.10-i486-431.pet [mirrors]
libgpg-error/1.10/libgpg_DEV-error-1.10-i486-431.pet

libgphoto2/2.5.0/libgphoto2-2.5.0-i486_v2.pet [mirrors]
libgphoto2/2.5.0/libgphoto2_DEV-2.5.0-i486.pet

libtasn1/4.8/libtasn1-4.8-i486_v1.2.pet [mirrors]
libtasn1/4.8/libtasn1_DEV-4.8-i486_v1.2.pet

libusb/1.0.9/libusb-1.0.9-i486_v2.pet [mirrors]
libusb/1.0.9/libusb_DEV-1.0.9-i486_v2.pet

mpg123/1.12.4/mpg123-1.12.4.pet [mirrors]
mpg123/1.12.4/mpg123_DEV-1.12.4.pet

nettle/3.2/nettle-3.2_v1.2.pet [mirrors]
nettle/3.2/nettle_DEV-3.2_v1.2.pet

openal-soft/1.13/openal-soft-1.13-i486_v1.1.pet [mirrors]
openal-soft/1.13/openal-soft_DEV-1.13-i486_v1.pet

openldap/2.4.13/openldap-2.4.13-i486.pet [mirrors]
openldap/2.4.13/openldap_DEV-2.4.13-i486.pet

prelink/20130503/prelink-20130503-i486_v2.pet [mirrors]

xorg/7.3/xorg_xorg_full_dri-7.3.pet [mirrors]
xorg/7.3/xorg_xorg_full_dri_DEV-7.3.pet


------------------------------------

When compiling in puppy 431, I used:
v1.1
Code:
./configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var --build=i486-pc-linux-gnu --x-includes=/usr/X11R7/include --x-libraries=/usr/X11R7/lib --with-x CFLAGS="-O2"

v1.2
Code:
./configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var --build=i486-pc-linux-gnu --x-includes=/usr/X11R7/include --x-libraries=/usr/X11R7/lib --with-x CFLAGS="-g -O0 -fno-optimize-sibling-calls -fno-omit-frame-pointer -fno-inline"

----------------------------------------------------------------------------------------------------------

-----------------------
racy puppy 5.5
-----------------------

I compiled using Racy 5.5

mirrors | /distro/racy5.5/racy-5.5.iso
mirrors | /distro/racy5.5/devx_racy_5.5.sfs

This puppy distro uses glibc 2.10.1
The Wine files listing 'racy5.5' will possibly not work with a glibc before 2.10.1
To see what glibc your puppy has.
Code:
ldd --version

I installed the following packages, as one sfs file, before compiling;
also known as dependencies:

fontconfig/2.8.0/fontconfig-2.8.0-w5c.pet [mirrors]
fontconfig/2.8.0/fontconfig_DEV-2.8.0-w5c.pet

gmp/6.1.1/gmp-6.1.1-i486_v1.2.pet [mirrors]
gmp/6.1.1/gmp_DEV-6.1.1-i486_v1.2.pet

gnutls/3.5.2/gnutls-3.5.2_v1.2.pet [mirrors]
gnutls/3.5.2/gnutls_DEV-3.5.2.pet

lcms2/2.8/lcms2-2.8_v2.pet [mirrors]
lcms2/2.8/lcms2_DEV-2.8_v2.pet

libelf/0.8.13/libelf-0.8.13-i486_v2.pet [mirrors]
libelf/0.8.13/libelf_DEV-0.8.13-i486_v2.pet

libgcrypt/1.4.6/libgcrypt-1.4.6-i486-431.pet [mirrors]
libgcrypt/1.4.6/libgcrypt_DEV-1.4.6-i486-431.pet

libgpg-error/1.10/libgpg-error-1.10-i486-431.pet [mirrors]
libgpg-error/1.10/libgpg_DEV-error-1.10-i486-431.pet

libtasn1/4.8/libtasn1-4.8-i486_v1.2.pet [mirrors]
libtasn1/4.8/libtasn1_DEV-4.8-i486_v1.2.pet

mpg123/1.12.4/mpg123-1.12.4.pet [mirrors]
mpg123/1.12.4/mpg123_DEV-1.12.4.pet

nettle/3.2/nettle-3.2_v1.2.pet [mirrors]
nettle/3.2/nettle_DEV-3.2_v1.2.pet

openal-soft/1.13/openal-soft-1.13-i486_v1.1.pet [mirrors]
openal-soft/1.13/openal-soft_DEV-1.13-i486_v1.pet

openldap/2.4.13/openldap-2.4.13-i486.pet [mirrors]
openldap/2.4.13/openldap_DEV-2.4.13-i486.pet

prelink/20130503/prelink-20130503-i486_v2.pet [mirrors]

----------------------------------------


When compiling in racy puppy 5.5, I used
v2.1
Code:
./configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var --build=i486-pc-linux-gnu --x-includes=/usr/X11R7/include --x-libraries=/usr/X11R7/lib --with-x CFLAGS="-O2"

v2.2
Code:
./configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var --build=i486-pc-linux-gnu --x-includes=/usr/X11R7/include --x-libraries=/usr/X11R7/lib --with-x CFLAGS="-g -O0 -fno-optimize-sibling-calls -fno-omit-frame-pointer -fno-inline"

----------------------------------------------------------------------------------------------------------


Menu entries, Color Setter, and other stuff I got from the file 'winegoodies.tar.gz' [post | page] provided by forum member 'technosaurus'.
I only made a few changes to the contents of that file.

----------------------------------------------------------------------------------------------------------

updated links at my homepage. see below.
Back to top
View user's profile Send private message Visit poster's website 
Illutorium

Joined: 06 Aug 2014
Posts: 149

PostPosted: Sat 18 Feb 2017, 00:00    Post subject: Wine 2.2 [Tahr]
Subject description: Now are be switched to "Windows 7" for New prefixes [winehq.org]
 

Changes of WINE: https://www.winehq.org/announce/2.2
Info about a build: On to HTPC Laptop [A53U] it's goes at almost 3 hours.
Stripped/Optional Files:https://drive.google.com/open?id=0B-xgN0KQ1LaSbGRTR0hQNW5QR0E/https://drive.google.com/open?id=0B-xgN0KQ1LaSdkpRVDdMdjhmVEE
Back to top
View user's profile Send private message 
version2013

Joined: 08 Sep 2013
Posts: 257

PostPosted: Wed 01 Mar 2017, 09:56    Post subject: Wine 2.2  

My attempt at compiling wine-2.2

[wine-2.2 mirrors]

wine-2.2_v1.1.pet ________ puppy 431 | stripped=true
wine-2.2_v1.2.pet ________ puppy 431 | stripped=false
wine_DEV-2.2_v1.1.pet ____ puppy 431 |
wine_DEV-2.2_v1.2.pet ____ puppy 431 |

wine-2.2_v2.1.pet ________ racy puppy 5.5 | stripped=true
wine-2.2_v2.2.pet ________ racy puppy 5.5 | stripped=false
wine_DEV-2.2_v2.1.pet ____ racy puppy 5.5 |
wine_DEV-2.2_v2.2.pet ____ racy puppy 5.5 |

wine_DOC-2.2.pet

wine_extras-v2.pet _____________ menu entries | mirrors
md5.txt and hashdeep.txt ________ checksums/hashes | mirrors

----------------------------------------------------------------
Notes for my webpage
http://version2013.yolasite.com/page1.php

The ">" character denotes a link to a mirror for either a directory or file.
ie. Look for the ">" adjacent to a
> directory/
> file

----------------------------------------------------------------

For general use, I recommend packages that are 'stripped=true'.
For submitting bug reports to WineHQ, I recommend packages that are 'stripped=false'.
When submitting bug reports to WineHQ, it appears a 'stripped=false' Wine provides more information than a 'stripped=true' Wine.
[references: post | page]

The first post has links to:
pet to sfs scripts, menu entry utilities, and Wine usage tips.

----------------------------------------------------------------------------------------------------------


----------------
puppy 431
----------------

I compiled using puplet: Puppies 4.31.1 by forum member 'ttuuxxx'

mirrors | /distro/4.3__1/puppies-431.1-main-Xserver.iso
mirrors | /distro/4.3__1/devx_430.sfs

This puplet uses glibc 2.6.1
The Wine files listing 'puppy 431' will possibly not work with a glibc before 2.6.1
To see what glibc your puppy has.
Code:
ldd --version

I installed the following packages, as one sfs file, before compiling;
also known as dependencies:

fontconfig/2.7.1/fontconfig-2.7.1-i486-pup4.pet [mirrors]
fontconfig/2.7.1/fontconfig_DEV-2.7.1-i486-pup4.pet

gmp/6.1.1/gmp-6.1.1-i486_v1.2.pet [mirrors]
gmp/6.1.1/gmp_DEV-6.1.1-i486_v1.2.pet

gnutls/3.5.2/gnutls-3.5.2_v1.2.pet [mirrors]
gnutls/3.5.2/gnutls_DEV-3.5.2.pet

lcms2/2.8/lcms2-2.8_v2.pet [mirrors]
lcms2/2.8/lcms2_DEV-2.8_v2.pet

libelf/0.8.13/libelf-0.8.13-i486_v2.pet [mirrors]
libelf/0.8.13/libelf_DEV-0.8.13-i486_v2.pet

libgcrypt/1.4.6/libgcrypt-1.4.6-i486-431.pet [mirrors]
libgcrypt/1.4.6/libgcrypt_DEV-1.4.6-i486-431.pet

libgpg-error/1.10/libgpg-error-1.10-i486-431.pet [mirrors]
libgpg-error/1.10/libgpg_DEV-error-1.10-i486-431.pet

libgphoto2/2.5.0/libgphoto2-2.5.0-i486_v2.pet [mirrors]
libgphoto2/2.5.0/libgphoto2_DEV-2.5.0-i486.pet

libtasn1/4.8/libtasn1-4.8-i486_v1.2.pet [mirrors]
libtasn1/4.8/libtasn1_DEV-4.8-i486_v1.2.pet

libusb/1.0.9/libusb-1.0.9-i486_v2.pet [mirrors]
libusb/1.0.9/libusb_DEV-1.0.9-i486_v2.pet

mpg123/1.12.4/mpg123-1.12.4.pet [mirrors]
mpg123/1.12.4/mpg123_DEV-1.12.4.pet

nettle/3.2/nettle-3.2_v1.2.pet [mirrors]
nettle/3.2/nettle_DEV-3.2_v1.2.pet

openal-soft/1.13/openal-soft-1.13-i486_v1.1.pet [mirrors]
openal-soft/1.13/openal-soft_DEV-1.13-i486_v1.pet

openldap/2.4.13/openldap-2.4.13-i486.pet [mirrors]
openldap/2.4.13/openldap_DEV-2.4.13-i486.pet

prelink/20130503/prelink-20130503-i486_v2.pet [mirrors]

xorg/7.3/xorg_xorg_full_dri-7.3.pet [mirrors]
xorg/7.3/xorg_xorg_full_dri_DEV-7.3.pet

--------

I applied the following commits/patches to puppy431 wine build:

bug 42478 | patch
bug 42483 | commit
bug 42547 | commit


------------------------------------

When compiling in puppy 431, I used:
v1.1
Code:
./configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var --build=i486-pc-linux-gnu --x-includes=/usr/X11R7/include --x-libraries=/usr/X11R7/lib --with-x CFLAGS="-O2"

v1.2
Code:
./configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var --build=i486-pc-linux-gnu --x-includes=/usr/X11R7/include --x-libraries=/usr/X11R7/lib --with-x CFLAGS="-g -O0 -fno-optimize-sibling-calls -fno-omit-frame-pointer -fno-inline"

----------------------------------------------------------------------------------------------------------

-----------------------
racy puppy 5.5
-----------------------

I compiled using Racy 5.5

mirrors | /distro/racy5.5/racy-5.5.iso
mirrors | /distro/racy5.5/devx_racy_5.5.sfs

This puppy distro uses glibc 2.10.1
The Wine files listing 'racy5.5' will possibly not work with a glibc before 2.10.1
To see what glibc your puppy has.
Code:
ldd --version

I installed the following packages, as one sfs file, before compiling;
also known as dependencies:

fontconfig/2.8.0/fontconfig-2.8.0-w5c.pet [mirrors]
fontconfig/2.8.0/fontconfig_DEV-2.8.0-w5c.pet

gmp/6.1.1/gmp-6.1.1-i486_v1.2.pet [mirrors]
gmp/6.1.1/gmp_DEV-6.1.1-i486_v1.2.pet

gnutls/3.5.2/gnutls-3.5.2_v1.2.pet [mirrors]
gnutls/3.5.2/gnutls_DEV-3.5.2.pet

lcms2/2.8/lcms2-2.8_v2.pet [mirrors]
lcms2/2.8/lcms2_DEV-2.8_v2.pet

libelf/0.8.13/libelf-0.8.13-i486_v2.pet [mirrors]
libelf/0.8.13/libelf_DEV-0.8.13-i486_v2.pet

libgcrypt/1.4.6/libgcrypt-1.4.6-i486-431.pet [mirrors]
libgcrypt/1.4.6/libgcrypt_DEV-1.4.6-i486-431.pet

libgpg-error/1.10/libgpg-error-1.10-i486-431.pet [mirrors]
libgpg-error/1.10/libgpg_DEV-error-1.10-i486-431.pet

libtasn1/4.8/libtasn1-4.8-i486_v1.2.pet [mirrors]
libtasn1/4.8/libtasn1_DEV-4.8-i486_v1.2.pet

mpg123/1.12.4/mpg123-1.12.4.pet [mirrors]
mpg123/1.12.4/mpg123_DEV-1.12.4.pet

nettle/3.2/nettle-3.2_v1.2.pet [mirrors]
nettle/3.2/nettle_DEV-3.2_v1.2.pet

openal-soft/1.13/openal-soft-1.13-i486_v1.1.pet [mirrors]
openal-soft/1.13/openal-soft_DEV-1.13-i486_v1.pet

openldap/2.4.13/openldap-2.4.13-i486.pet [mirrors]
openldap/2.4.13/openldap_DEV-2.4.13-i486.pet

prelink/20130503/prelink-20130503-i486_v2.pet [mirrors]

-------

I applied this commit to racy5.5 wine build:
bug 42483 | commit
----------------------------------------


When compiling in racy puppy 5.5, I used
v2.1
Code:
./configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var --build=i486-pc-linux-gnu --x-includes=/usr/X11R7/include --x-libraries=/usr/X11R7/lib --with-x CFLAGS="-O2"

v2.2
Code:
./configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var --build=i486-pc-linux-gnu --x-includes=/usr/X11R7/include --x-libraries=/usr/X11R7/lib --with-x CFLAGS="-g -O0 -fno-optimize-sibling-calls -fno-omit-frame-pointer -fno-inline"

----------------------------------------------------------------------------------------------------------


Menu entries, Color Setter, and other stuff I got from the file 'winegoodies.tar.gz' [post | page] provided by forum member 'technosaurus'.
I only made a few changes to the contents of that file.

----------------------------------------------------------------------------------------------------------

updated links at my homepage. see below.
Back to top
View user's profile Send private message Visit poster's website 
01101001b


Joined: 08 Mar 2017
Posts: 9
Location: Buenos Aires, Argentina

PostPosted: Sun 12 Mar 2017, 20:44    Post subject:  Wine in pet?
Subject description: version 2.2? Amazing!
 

I didn't know there was available a .pet to install wine... and so recent version also Shocked Amazing. Thanks so much version2003! Smile
Back to top
View user's profile Send private message 
version2013

Joined: 08 Sep 2013
Posts: 257

PostPosted: Fri 17 Mar 2017, 18:50    Post subject: Wine-2.3  

My attempt at compiling wine-2.3

[wine-2.3 mirrors]

wine-2.3_v1.1.pet ________ puppy 431 | stripped=true
wine-2.3_v1.2.pet ________ puppy 431 | stripped=false
wine_DEV-2.3_v1.1.pet ____ puppy 431 |
wine_DEV-2.3_v1.2.pet ____ puppy 431 |

wine-2.3_v2.1.pet ________ racy puppy 5.5 | stripped=true
wine-2.3_v2.2.pet ________ racy puppy 5.5 | stripped=false
wine_DEV-2.3_v2.1.pet ____ racy puppy 5.5 |
wine_DEV-2.3_v2.2.pet ____ racy puppy 5.5 |

wine_DOC-2.3.pet

wine_extras-v2.pet _____________ menu entries | mirrors
md5.txt and hashdeep.txt ________ checksums/hashes | mirrors

----------------------------------------------------------------
Notes for my webpage
http://version2013.yolasite.com/page1.php

The ">" character denotes a link to a mirror for either a directory or file.
ie. Look for the ">" adjacent to a
> directory/
> file

----------------------------------------------------------------

For general use, I recommend packages that are 'stripped=true'.
For submitting bug reports to WineHQ, I recommend packages that are 'stripped=false'.
When submitting bug reports to WineHQ, it appears a 'stripped=false' Wine provides more information than a 'stripped=true' Wine.
[references: post | page]

The first post has links to:
pet to sfs scripts, menu entry utilities, and Wine usage tips.

----------------------------------------------------------------------------------------------------------


----------------
puppy 431
----------------

I compiled using puplet: Puppies 4.31.1 by forum member 'ttuuxxx'

mirrors | /distro/4.3__1/puppies-431.1-main-Xserver.iso
mirrors | /distro/4.3__1/devx_430.sfs

This puplet uses glibc 2.6.1
The Wine files listing 'puppy 431' will possibly not work with a glibc before 2.6.1
To see what glibc your puppy has.
Code:
ldd --version

I installed the following packages, as one sfs file, before compiling;
also known as dependencies:

fontconfig/2.7.1/fontconfig-2.7.1-i486-pup4.pet [mirrors]
fontconfig/2.7.1/fontconfig_DEV-2.7.1-i486-pup4.pet

gmp/6.1.1/gmp-6.1.1-i486_v1.2.pet [mirrors]
gmp/6.1.1/gmp_DEV-6.1.1-i486_v1.2.pet

gnutls/3.5.2/gnutls-3.5.2_v1.2.pet [mirrors]
gnutls/3.5.2/gnutls_DEV-3.5.2.pet

lcms2/2.8/lcms2-2.8_v2.pet [mirrors]
lcms2/2.8/lcms2_DEV-2.8_v2.pet

libelf/0.8.13/libelf-0.8.13-i486_v2.pet [mirrors]
libelf/0.8.13/libelf_DEV-0.8.13-i486_v2.pet

libgcrypt/1.4.6/libgcrypt-1.4.6-i486-431.pet [mirrors]
libgcrypt/1.4.6/libgcrypt_DEV-1.4.6-i486-431.pet

libgpg-error/1.10/libgpg-error-1.10-i486-431.pet [mirrors]
libgpg-error/1.10/libgpg_DEV-error-1.10-i486-431.pet

libgphoto2/2.5.0/libgphoto2-2.5.0-i486_v2.pet [mirrors]
libgphoto2/2.5.0/libgphoto2_DEV-2.5.0-i486.pet

libtasn1/4.8/libtasn1-4.8-i486_v1.2.pet [mirrors]
libtasn1/4.8/libtasn1_DEV-4.8-i486_v1.2.pet

libusb/1.0.9/libusb-1.0.9-i486_v2.pet [mirrors]
libusb/1.0.9/libusb_DEV-1.0.9-i486_v2.pet

mpg123/1.12.4/mpg123-1.12.4.pet [mirrors]
mpg123/1.12.4/mpg123_DEV-1.12.4.pet

nettle/3.2/nettle-3.2_v1.2.pet [mirrors]
nettle/3.2/nettle_DEV-3.2_v1.2.pet

openal-soft/1.13/openal-soft-1.13-i486_v1.1.pet [mirrors]
openal-soft/1.13/openal-soft_DEV-1.13-i486_v1.pet

openldap/2.4.13/openldap-2.4.13-i486.pet [mirrors]
openldap/2.4.13/openldap_DEV-2.4.13-i486.pet

prelink/20130503/prelink-20130503-i486_v2.pet [mirrors]

xorg/7.3/xorg_xorg_full_dri-7.3.pet [mirrors]
xorg/7.3/xorg_xorg_full_dri_DEV-7.3.pet

--------

I applied the following commit/patch to puppy431 wine build:

bug 42478 | patch

------------------------------------

When compiling in puppy 431, I used:
v1.1
Code:
./configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var --build=i486-pc-linux-gnu --x-includes=/usr/X11R7/include --x-libraries=/usr/X11R7/lib --with-x CFLAGS="-O2"

v1.2
Code:
./configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var --build=i486-pc-linux-gnu --x-includes=/usr/X11R7/include --x-libraries=/usr/X11R7/lib --with-x CFLAGS="-g -O0 -fno-optimize-sibling-calls -fno-omit-frame-pointer -fno-inline"

----------------------------------------------------------------------------------------------------------

-----------------------
racy puppy 5.5
-----------------------

I compiled using Racy 5.5

mirrors | /distro/racy5.5/racy-5.5.iso
mirrors | /distro/racy5.5/devx_racy_5.5.sfs

This puppy distro uses glibc 2.10.1
The Wine files listing 'racy5.5' will possibly not work with a glibc before 2.10.1
To see what glibc your puppy has.
Code:
ldd --version

I installed the following packages, as one sfs file, before compiling;
also known as dependencies:

fontconfig/2.8.0/fontconfig-2.8.0-w5c.pet [mirrors]
fontconfig/2.8.0/fontconfig_DEV-2.8.0-w5c.pet

gmp/6.1.1/gmp-6.1.1-i486_v1.2.pet [mirrors]
gmp/6.1.1/gmp_DEV-6.1.1-i486_v1.2.pet

gnutls/3.5.2/gnutls-3.5.2_v1.2.pet [mirrors]
gnutls/3.5.2/gnutls_DEV-3.5.2.pet

lcms2/2.8/lcms2-2.8_v2.pet [mirrors]
lcms2/2.8/lcms2_DEV-2.8_v2.pet

libelf/0.8.13/libelf-0.8.13-i486_v2.pet [mirrors]
libelf/0.8.13/libelf_DEV-0.8.13-i486_v2.pet

libgcrypt/1.4.6/libgcrypt-1.4.6-i486-431.pet [mirrors]
libgcrypt/1.4.6/libgcrypt_DEV-1.4.6-i486-431.pet

libgpg-error/1.10/libgpg-error-1.10-i486-431.pet [mirrors]
libgpg-error/1.10/libgpg_DEV-error-1.10-i486-431.pet

libtasn1/4.8/libtasn1-4.8-i486_v1.2.pet [mirrors]
libtasn1/4.8/libtasn1_DEV-4.8-i486_v1.2.pet

mpg123/1.12.4/mpg123-1.12.4.pet [mirrors]
mpg123/1.12.4/mpg123_DEV-1.12.4.pet

nettle/3.2/nettle-3.2_v1.2.pet [mirrors]
nettle/3.2/nettle_DEV-3.2_v1.2.pet

openal-soft/1.13/openal-soft-1.13-i486_v1.1.pet [mirrors]
openal-soft/1.13/openal-soft_DEV-1.13-i486_v1.pet

openldap/2.4.13/openldap-2.4.13-i486.pet [mirrors]
openldap/2.4.13/openldap_DEV-2.4.13-i486.pet

prelink/20130503/prelink-20130503-i486_v2.pet [mirrors]


----------------------------------------


When compiling in racy puppy 5.5, I used
v2.1
Code:
./configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var --build=i486-pc-linux-gnu --x-includes=/usr/X11R7/include --x-libraries=/usr/X11R7/lib --with-x CFLAGS="-O2"

v2.2
Code:
./configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var --build=i486-pc-linux-gnu --x-includes=/usr/X11R7/include --x-libraries=/usr/X11R7/lib --with-x CFLAGS="-g -O0 -fno-optimize-sibling-calls -fno-omit-frame-pointer -fno-inline"

----------------------------------------------------------------------------------------------------------


Menu entries, Color Setter, and other stuff I got from the file 'winegoodies.tar.gz' [post | page] provided by forum member 'technosaurus'.
I only made a few changes to the contents of that file.

----------------------------------------------------------------------------------------------------------

updated links at my homepage. see below.
Back to top
View user's profile Send private message Visit poster's website 
version2013

Joined: 08 Sep 2013
Posts: 257

PostPosted: Fri 24 Mar 2017, 00:18    Post subject: Wine-2.4  

My attempt at compiling wine-2.4

[wine-2.4 mirrors]

wine-2.4_v1.1.pet ________ puppy 431 | stripped=true
wine-2.4_v1.2.pet ________ puppy 431 | stripped=false
wine_DEV-2.4_v1.1.pet ____ puppy 431 |
wine_DEV-2.4_v1.2.pet ____ puppy 431 |

wine-2.4_v2.1.pet ________ racy puppy 5.5 | stripped=true
wine-2.4_v2.2.pet ________ racy puppy 5.5 | stripped=false
wine_DEV-2.4_v2.1.pet ____ racy puppy 5.5 |
wine_DEV-2.4_v2.2.pet ____ racy puppy 5.5 |

wine_DOC-2.4.pet

wine_extras-v2.pet _____________ menu entries | mirrors
md5.txt and hashdeep.txt ________ checksums/hashes | mirrors

----------------------------------------------------------------
Notes for my webpage
http://version2013.yolasite.com/page1.php

The ">" character denotes a link to a mirror for either a directory or file.
ie. Look for the ">" adjacent to a
> directory/
> file

----------------------------------------------------------------

For general use, I recommend packages that are 'stripped=true'.
For submitting bug reports to WineHQ, I recommend packages that are 'stripped=false'.
When submitting bug reports to WineHQ, it appears a 'stripped=false' Wine provides more information than a 'stripped=true' Wine.
[references: post | page]

The first post has links to:
pet to sfs scripts, menu entry utilities, and Wine usage tips.

----------------------------------------------------------------------------------------------------------


----------------
puppy 431
----------------

I compiled using puplet: Puppies 4.31.1 by forum member 'ttuuxxx'

mirrors | /distro/4.3__1/puppies-431.1-main-Xserver.iso
mirrors | /distro/4.3__1/devx_430.sfs

This puplet uses glibc 2.6.1
The Wine files listing 'puppy 431' will possibly not work with a glibc before 2.6.1
To see what glibc your puppy has.
Code:
ldd --version

I installed the following packages, as one sfs file, before compiling;
also known as dependencies:

fontconfig/2.7.1/fontconfig-2.7.1-i486-pup4.pet [mirrors]
fontconfig/2.7.1/fontconfig_DEV-2.7.1-i486-pup4.pet

gmp/6.1.1/gmp-6.1.1-i486_v1.2.pet [mirrors]
gmp/6.1.1/gmp_DEV-6.1.1-i486_v1.2.pet

gnutls/3.5.2/gnutls-3.5.2_v1.2.pet [mirrors]
gnutls/3.5.2/gnutls_DEV-3.5.2.pet

lcms2/2.8/lcms2-2.8_v2.pet [mirrors]
lcms2/2.8/lcms2_DEV-2.8_v2.pet

libelf/0.8.13/libelf-0.8.13-i486_v2.pet [mirrors]
libelf/0.8.13/libelf_DEV-0.8.13-i486_v2.pet

libgcrypt/1.4.6/libgcrypt-1.4.6-i486-431.pet [mirrors]
libgcrypt/1.4.6/libgcrypt_DEV-1.4.6-i486-431.pet

libgpg-error/1.10/libgpg-error-1.10-i486-431.pet [mirrors]
libgpg-error/1.10/libgpg_DEV-error-1.10-i486-431.pet

libgphoto2/2.5.0/libgphoto2-2.5.0-i486_v2.pet [mirrors]
libgphoto2/2.5.0/libgphoto2_DEV-2.5.0-i486.pet

libtasn1/4.8/libtasn1-4.8-i486_v1.2.pet [mirrors]
libtasn1/4.8/libtasn1_DEV-4.8-i486_v1.2.pet

libusb/1.0.9/libusb-1.0.9-i486_v2.pet [mirrors]
libusb/1.0.9/libusb_DEV-1.0.9-i486_v2.pet

mpg123/1.12.4/mpg123-1.12.4.pet [mirrors]
mpg123/1.12.4/mpg123_DEV-1.12.4.pet

nettle/3.2/nettle-3.2_v1.2.pet [mirrors]
nettle/3.2/nettle_DEV-3.2_v1.2.pet

openal-soft/1.13/openal-soft-1.13-i486_v1.1.pet [mirrors]
openal-soft/1.13/openal-soft_DEV-1.13-i486_v1.pet

openldap/2.4.13/openldap-2.4.13-i486.pet [mirrors]
openldap/2.4.13/openldap_DEV-2.4.13-i486.pet

prelink/20130503/prelink-20130503-i486_v2.pet [mirrors]

xorg/7.3/xorg_xorg_full_dri-7.3.pet [mirrors]
xorg/7.3/xorg_xorg_full_dri_DEV-7.3.pet

--------

I applied the following commit/patch to puppy431 wine build:

bug 42478 | patch

------------------------------------

When compiling in puppy 431, I used:
v1.1
Code:
./configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var --build=i486-pc-linux-gnu --x-includes=/usr/X11R7/include --x-libraries=/usr/X11R7/lib --with-x CFLAGS="-O2"

v1.2
Code:
./configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var --build=i486-pc-linux-gnu --x-includes=/usr/X11R7/include --x-libraries=/usr/X11R7/lib --with-x CFLAGS="-g -O0 -fno-optimize-sibling-calls -fno-omit-frame-pointer -fno-inline"

----------------------------------------------------------------------------------------------------------

-----------------------
racy puppy 5.5
-----------------------

I compiled using Racy 5.5

mirrors | /distro/racy5.5/racy-5.5.iso
mirrors | /distro/racy5.5/devx_racy_5.5.sfs

This puppy distro uses glibc 2.10.1
The Wine files listing 'racy5.5' will possibly not work with a glibc before 2.10.1
To see what glibc your puppy has.
Code:
ldd --version

I installed the following packages, as one sfs file, before compiling;
also known as dependencies:

fontconfig/2.8.0/fontconfig-2.8.0-w5c.pet [mirrors]
fontconfig/2.8.0/fontconfig_DEV-2.8.0-w5c.pet

gmp/6.1.1/gmp-6.1.1-i486_v1.2.pet [mirrors]
gmp/6.1.1/gmp_DEV-6.1.1-i486_v1.2.pet

gnutls/3.5.2/gnutls-3.5.2_v1.2.pet [mirrors]
gnutls/3.5.2/gnutls_DEV-3.5.2.pet

lcms2/2.8/lcms2-2.8_v2.pet [mirrors]
lcms2/2.8/lcms2_DEV-2.8_v2.pet

libelf/0.8.13/libelf-0.8.13-i486_v2.pet [mirrors]
libelf/0.8.13/libelf_DEV-0.8.13-i486_v2.pet

libgcrypt/1.4.6/libgcrypt-1.4.6-i486-431.pet [mirrors]
libgcrypt/1.4.6/libgcrypt_DEV-1.4.6-i486-431.pet

libgpg-error/1.10/libgpg-error-1.10-i486-431.pet [mirrors]
libgpg-error/1.10/libgpg_DEV-error-1.10-i486-431.pet

libtasn1/4.8/libtasn1-4.8-i486_v1.2.pet [mirrors]
libtasn1/4.8/libtasn1_DEV-4.8-i486_v1.2.pet

mpg123/1.12.4/mpg123-1.12.4.pet [mirrors]
mpg123/1.12.4/mpg123_DEV-1.12.4.pet

nettle/3.2/nettle-3.2_v1.2.pet [mirrors]
nettle/3.2/nettle_DEV-3.2_v1.2.pet

openal-soft/1.13/openal-soft-1.13-i486_v1.1.pet [mirrors]
openal-soft/1.13/openal-soft_DEV-1.13-i486_v1.pet

openldap/2.4.13/openldap-2.4.13-i486.pet [mirrors]
openldap/2.4.13/openldap_DEV-2.4.13-i486.pet

prelink/20130503/prelink-20130503-i486_v2.pet [mirrors]


----------------------------------------


When compiling in racy puppy 5.5, I used
v2.1
Code:
./configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var --build=i486-pc-linux-gnu --x-includes=/usr/X11R7/include --x-libraries=/usr/X11R7/lib --with-x CFLAGS="-O2"

v2.2
Code:
./configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var --build=i486-pc-linux-gnu --x-includes=/usr/X11R7/include --x-libraries=/usr/X11R7/lib --with-x CFLAGS="-g -O0 -fno-optimize-sibling-calls -fno-omit-frame-pointer -fno-inline"

----------------------------------------------------------------------------------------------------------


Menu entries, Color Setter, and other stuff I got from the file 'winegoodies.tar.gz' [post | page] provided by forum member 'technosaurus'.
I only made a few changes to the contents of that file.

----------------------------------------------------------------------------------------------------------

updated links at my homepage. see below.
Back to top
View user's profile Send private message Visit poster's website 
version2013

Joined: 08 Sep 2013
Posts: 257

PostPosted: Mon 10 Apr 2017, 21:54    Post subject: Wine-2.5  

My attempt at compiling wine-2.5

[wine-2.5 mirrors]

wine-2.5_v1.1.pet ________ puppy 431 | stripped=true
wine-2.5_v1.2.pet ________ puppy 431 | stripped=false
wine_DEV-2.5_v1.1.pet ____ puppy 431 |
wine_DEV-2.5_v1.2.pet ____ puppy 431 |

wine-2.5_v2.1.pet ________ racy puppy 5.5 | stripped=true
wine-2.5_v2.2.pet ________ racy puppy 5.5 | stripped=false
wine_DEV-2.5_v2.1.pet ____ racy puppy 5.5 |
wine_DEV-2.5_v2.2.pet ____ racy puppy 5.5 |

wine_DOC-2.5.pet

wine_extras-v2.1.pet _____________ menu entries | mirrors
md5.txt and hashdeep.txt ________ checksums/hashes | mirrors

----------------------------------------------------------------
Notes for my webpage
http://version2013.yolasite.com/page1.php

The ">" character denotes a link to a mirror for either a directory or file.
ie. Look for the ">" adjacent to a
> directory/
> file

----------------------------------------------------------------

For general use, I recommend packages that are 'stripped=true'.
For submitting bug reports to WineHQ, I recommend packages that are 'stripped=false'.
When submitting bug reports to WineHQ, it appears a 'stripped=false' Wine provides more information than a 'stripped=true' Wine.
[references: post | page]

The first post has links to:
pet to sfs scripts, menu entry utilities, and Wine usage tips.

----------------------------------------------------------------------------------------------------------


----------------
puppy 431
----------------

I compiled using puplet: Puppies 4.31.1 by forum member 'ttuuxxx'

mirrors | /distro/4.3__1/puppies-431.1-main-Xserver.iso
mirrors | /distro/4.3__1/devx_430.sfs

This puplet uses glibc 2.6.1
The Wine files listing 'puppy 431' will possibly not work with a glibc before 2.6.1
To see what glibc your puppy has.
Code:
ldd --version

I installed the following packages, as one sfs file, before compiling;
also known as dependencies:

fontconfig/2.7.1/fontconfig-2.7.1-i486-pup4.pet [mirrors]
fontconfig/2.7.1/fontconfig_DEV-2.7.1-i486-pup4.pet

gmp/6.1.1/gmp-6.1.1-i486_v1.2.pet [mirrors]
gmp/6.1.1/gmp_DEV-6.1.1-i486_v1.2.pet

gnutls/3.5.2/gnutls-3.5.2_v1.2.pet [mirrors]
gnutls/3.5.2/gnutls_DEV-3.5.2.pet

lcms2/2.8/lcms2-2.8_v2.pet [mirrors]
lcms2/2.8/lcms2_DEV-2.8_v2.pet

libelf/0.8.13/libelf-0.8.13-i486_v2.pet [mirrors]
libelf/0.8.13/libelf_DEV-0.8.13-i486_v2.pet

libgcrypt/1.4.6/libgcrypt-1.4.6-i486-431.pet [mirrors]
libgcrypt/1.4.6/libgcrypt_DEV-1.4.6-i486-431.pet

libgpg-error/1.10/libgpg-error-1.10-i486-431.pet [mirrors]
libgpg-error/1.10/libgpg_DEV-error-1.10-i486-431.pet

libgphoto2/2.5.0/libgphoto2-2.5.0-i486_v2.pet [mirrors]
libgphoto2/2.5.0/libgphoto2_DEV-2.5.0-i486.pet

libtasn1/4.8/libtasn1-4.8-i486_v1.2.pet [mirrors]
libtasn1/4.8/libtasn1_DEV-4.8-i486_v1.2.pet

libusb/1.0.9/libusb-1.0.9-i486_v2.pet [mirrors]
libusb/1.0.9/libusb_DEV-1.0.9-i486_v2.pet

mpg123/1.12.4/mpg123-1.12.4.pet [mirrors]
mpg123/1.12.4/mpg123_DEV-1.12.4.pet

nettle/3.2/nettle-3.2_v1.2.pet [mirrors]
nettle/3.2/nettle_DEV-3.2_v1.2.pet

openal-soft/1.13/openal-soft-1.13-i486_v1.1.pet [mirrors]
openal-soft/1.13/openal-soft_DEV-1.13-i486_v1.pet

openldap/2.4.13/openldap-2.4.13-i486.pet [mirrors]
openldap/2.4.13/openldap_DEV-2.4.13-i486.pet

prelink/20130503/prelink-20130503-i486_v2.pet [mirrors]

xorg/7.3/xorg_xorg_full_dri-7.3.pet [mirrors]
xorg/7.3/xorg_xorg_full_dri_DEV-7.3.pet

--------

I applied the following commit/patch to puppy431 wine build:

bug 42478 | patch

------------------------------------

When compiling in puppy 431, I used:
v1.1
Code:
./configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var --build=i486-pc-linux-gnu --x-includes=/usr/X11R7/include --x-libraries=/usr/X11R7/lib --with-x CFLAGS="-O2"

v1.2
Code:
./configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var --build=i486-pc-linux-gnu --x-includes=/usr/X11R7/include --x-libraries=/usr/X11R7/lib --with-x CFLAGS="-g -O0 -fno-optimize-sibling-calls -fno-omit-frame-pointer -fno-inline"

----------------------------------------------------------------------------------------------------------

-----------------------
racy puppy 5.5
-----------------------

I compiled using Racy 5.5

mirrors | /distro/racy5.5/racy-5.5.iso
mirrors | /distro/racy5.5/devx_racy_5.5.sfs

This puppy distro uses glibc 2.10.1
The Wine files listing 'racy5.5' will possibly not work with a glibc before 2.10.1
To see what glibc your puppy has.
Code:
ldd --version

I installed the following packages, as one sfs file, before compiling;
also known as dependencies:

fontconfig/2.8.0/fontconfig-2.8.0-w5c.pet [mirrors]
fontconfig/2.8.0/fontconfig_DEV-2.8.0-w5c.pet

gmp/6.1.1/gmp-6.1.1-i486_v1.2.pet [mirrors]
gmp/6.1.1/gmp_DEV-6.1.1-i486_v1.2.pet

gnutls/3.5.2/gnutls-3.5.2_v1.2.pet [mirrors]
gnutls/3.5.2/gnutls_DEV-3.5.2.pet

lcms2/2.8/lcms2-2.8_v2.pet [mirrors]
lcms2/2.8/lcms2_DEV-2.8_v2.pet

libelf/0.8.13/libelf-0.8.13-i486_v2.pet [mirrors]
libelf/0.8.13/libelf_DEV-0.8.13-i486_v2.pet

libgcrypt/1.4.6/libgcrypt-1.4.6-i486-431.pet [mirrors]
libgcrypt/1.4.6/libgcrypt_DEV-1.4.6-i486-431.pet

libgpg-error/1.10/libgpg-error-1.10-i486-431.pet [mirrors]
libgpg-error/1.10/libgpg_DEV-error-1.10-i486-431.pet

libtasn1/4.8/libtasn1-4.8-i486_v1.2.pet [mirrors]
libtasn1/4.8/libtasn1_DEV-4.8-i486_v1.2.pet

mpg123/1.12.4/mpg123-1.12.4.pet [mirrors]
mpg123/1.12.4/mpg123_DEV-1.12.4.pet

nettle/3.2/nettle-3.2_v1.2.pet [mirrors]
nettle/3.2/nettle_DEV-3.2_v1.2.pet

openal-soft/1.13/openal-soft-1.13-i486_v1.1.pet [mirrors]
openal-soft/1.13/openal-soft_DEV-1.13-i486_v1.pet

openldap/2.4.13/openldap-2.4.13-i486.pet [mirrors]
openldap/2.4.13/openldap_DEV-2.4.13-i486.pet

prelink/20130503/prelink-20130503-i486_v2.pet [mirrors]


----------------------------------------


When compiling in racy puppy 5.5, I used
v2.1
Code:
./configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var --build=i486-pc-linux-gnu --x-includes=/usr/X11R7/include --x-libraries=/usr/X11R7/lib --with-x CFLAGS="-O2"

v2.2
Code:
./configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var --build=i486-pc-linux-gnu --x-includes=/usr/X11R7/include --x-libraries=/usr/X11R7/lib --with-x CFLAGS="-g -O0 -fno-optimize-sibling-calls -fno-omit-frame-pointer -fno-inline"

----------------------------------------------------------------------------------------------------------


Menu entries, Color Setter, and other stuff I got from the file 'winegoodies.tar.gz' [post | page] provided by forum member 'technosaurus'.
I only made a few changes to the contents of that file.

----------------------------------------------------------------------------------------------------------

updated links at my homepage. see below.

Last edited by version2013 on Tue 25 Apr 2017, 22:25; edited 1 time in total
Back to top
View user's profile Send private message Visit poster's website 
version2013

Joined: 08 Sep 2013
Posts: 257

PostPosted: Sun 16 Apr 2017, 18:52    Post subject: Wine thread was temporarily unavailable.  

This Wine thread was temporarily unavailable.
The reasoning was because of spam posts.
Palemoon Thread gone
Thank you 'Makoto' for bringing this thread back.
Back to top
View user's profile Send private message Visit poster's website 
version2013

Joined: 08 Sep 2013
Posts: 257

PostPosted: Mon 24 Apr 2017, 21:32    Post subject: Wine-2.6  

My attempt at compiling wine-2.6

[wine-2.6 mirrors]

wine-2.6_v1.1.pet ________ puppy 431 | stripped=true
wine-2.6_v1.2.pet ________ puppy 431 | stripped=false
wine_DEV-2.6_v1.1.pet ____ puppy 431 |
wine_DEV-2.6_v1.2.pet ____ puppy 431 |

wine-2.6_v2.1.pet ________ racy puppy 5.5 | stripped=true
wine-2.6_v2.2.pet ________ racy puppy 5.5 | stripped=false
wine_DEV-2.6_v2.1.pet ____ racy puppy 5.5 |
wine_DEV-2.6_v2.2.pet ____ racy puppy 5.5 |

wine_DOC-2.6.pet

wine_extras-v2.1.pet _____________ menu entries | mirrors
md5.txt and hashdeep.txt ________ checksums/hashes | mirrors

----------------------------------------------------------------
Notes for my webpage
http://version2013.yolasite.com/page1.php

The ">" character denotes a link to a mirror for either a directory or file.
ie. Look for the ">" adjacent to a
> directory/
> file

----------------------------------------------------------------

For general use, I recommend packages that are 'stripped=true'.
For submitting bug reports to WineHQ, I recommend packages that are 'stripped=false'.
When submitting bug reports to WineHQ, it appears a 'stripped=false' Wine provides more information than a 'stripped=true' Wine.
[references: post | page]

The first post has links to:
pet to sfs scripts, menu entry utilities, and Wine usage tips.

----------------------------------------------------------------------------------------------------------


----------------
puppy 431
----------------

I compiled using puplet: Puppies 4.31.1 by forum member 'ttuuxxx'

mirrors | /distro/4.3__1/puppies-431.1-main-Xserver.iso
mirrors | /distro/4.3__1/devx_430.sfs

This puplet uses glibc 2.6.1
The Wine files listing 'puppy 431' will possibly not work with a glibc before 2.6.1
To see what glibc your puppy has.
Code:
ldd --version

I installed the following packages, as one sfs file, before compiling;
also known as dependencies:

fontconfig/2.7.1/fontconfig-2.7.1-i486-pup4.pet [mirrors]
fontconfig/2.7.1/fontconfig_DEV-2.7.1-i486-pup4.pet

gmp/6.1.1/gmp-6.1.1-i486_v1.2.pet [mirrors]
gmp/6.1.1/gmp_DEV-6.1.1-i486_v1.2.pet

gnutls/3.5.2/gnutls-3.5.2_v1.2.pet [mirrors]
gnutls/3.5.2/gnutls_DEV-3.5.2.pet

lcms2/2.8/lcms2-2.8_v2.pet [mirrors]
lcms2/2.8/lcms2_DEV-2.8_v2.pet

libelf/0.8.13/libelf-0.8.13-i486_v2.pet [mirrors]
libelf/0.8.13/libelf_DEV-0.8.13-i486_v2.pet

libgcrypt/1.4.6/libgcrypt-1.4.6-i486-431.pet [mirrors]
libgcrypt/1.4.6/libgcrypt_DEV-1.4.6-i486-431.pet

libgpg-error/1.10/libgpg-error-1.10-i486-431.pet [mirrors]
libgpg-error/1.10/libgpg_DEV-error-1.10-i486-431.pet

libgphoto2/2.5.0/libgphoto2-2.5.0-i486_v2.pet [mirrors]
libgphoto2/2.5.0/libgphoto2_DEV-2.5.0-i486.pet

libtasn1/4.8/libtasn1-4.8-i486_v1.2.pet [mirrors]
libtasn1/4.8/libtasn1_DEV-4.8-i486_v1.2.pet

libusb/1.0.9/libusb-1.0.9-i486_v2.pet [mirrors]
libusb/1.0.9/libusb_DEV-1.0.9-i486_v2.pet

mpg123/1.12.4/mpg123-1.12.4.pet [mirrors]
mpg123/1.12.4/mpg123_DEV-1.12.4.pet

nettle/3.2/nettle-3.2_v1.2.pet [mirrors]
nettle/3.2/nettle_DEV-3.2_v1.2.pet

openal-soft/1.13/openal-soft-1.13-i486_v1.1.pet [mirrors]
openal-soft/1.13/openal-soft_DEV-1.13-i486_v1.pet

openldap/2.4.13/openldap-2.4.13-i486.pet [mirrors]
openldap/2.4.13/openldap_DEV-2.4.13-i486.pet

prelink/20130503/prelink-20130503-i486_v2.pet [mirrors]

xorg/7.3/xorg_xorg_full_dri-7.3.pet [mirrors]
xorg/7.3/xorg_xorg_full_dri_DEV-7.3.pet

--------

I applied the following commits/patches to puppy431 wine build:

bug 42478 | patch
bug 42835 | patch1
bug 42835 | patch2

------------------------------------

When compiling in puppy 431, I used:
v1.1
Code:
./configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var --build=i486-pc-linux-gnu --x-includes=/usr/X11R7/include --x-libraries=/usr/X11R7/lib --with-x CFLAGS="-O2"

v1.2
Code:
./configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var --build=i486-pc-linux-gnu --x-includes=/usr/X11R7/include --x-libraries=/usr/X11R7/lib --with-x CFLAGS="-g -O0 -fno-optimize-sibling-calls -fno-omit-frame-pointer -fno-inline"

----------------------------------------------------------------------------------------------------------

-----------------------
racy puppy 5.5
-----------------------

I compiled using Racy 5.5

mirrors | /distro/racy5.5/racy-5.5.iso
mirrors | /distro/racy5.5/devx_racy_5.5.sfs

This puppy distro uses glibc 2.10.1
The Wine files listing 'racy5.5' will possibly not work with a glibc before 2.10.1
To see what glibc your puppy has.
Code:
ldd --version

I installed the following packages, as one sfs file, before compiling;
also known as dependencies:

fontconfig/2.8.0/fontconfig-2.8.0-w5c.pet [mirrors]
fontconfig/2.8.0/fontconfig_DEV-2.8.0-w5c.pet

gmp/6.1.1/gmp-6.1.1-i486_v1.2.pet [mirrors]
gmp/6.1.1/gmp_DEV-6.1.1-i486_v1.2.pet

gnutls/3.5.2/gnutls-3.5.2_v1.2.pet [mirrors]
gnutls/3.5.2/gnutls_DEV-3.5.2.pet

lcms2/2.8/lcms2-2.8_v2.pet [mirrors]
lcms2/2.8/lcms2_DEV-2.8_v2.pet

libelf/0.8.13/libelf-0.8.13-i486_v2.pet [mirrors]
libelf/0.8.13/libelf_DEV-0.8.13-i486_v2.pet

libgcrypt/1.4.6/libgcrypt-1.4.6-i486-431.pet [mirrors]
libgcrypt/1.4.6/libgcrypt_DEV-1.4.6-i486-431.pet

libgpg-error/1.10/libgpg-error-1.10-i486-431.pet [mirrors]
libgpg-error/1.10/libgpg_DEV-error-1.10-i486-431.pet

libtasn1/4.8/libtasn1-4.8-i486_v1.2.pet [mirrors]
libtasn1/4.8/libtasn1_DEV-4.8-i486_v1.2.pet

mpg123/1.12.4/mpg123-1.12.4.pet [mirrors]
mpg123/1.12.4/mpg123_DEV-1.12.4.pet

nettle/3.2/nettle-3.2_v1.2.pet [mirrors]
nettle/3.2/nettle_DEV-3.2_v1.2.pet

openal-soft/1.13/openal-soft-1.13-i486_v1.1.pet [mirrors]
openal-soft/1.13/openal-soft_DEV-1.13-i486_v1.pet

openldap/2.4.13/openldap-2.4.13-i486.pet [mirrors]
openldap/2.4.13/openldap_DEV-2.4.13-i486.pet

prelink/20130503/prelink-20130503-i486_v2.pet [mirrors]

--------

I applied the following commits/patches to racy5.5 wine build:

bug 42835 | patch1
bug 42835 | patch2

----------------------------------------


When compiling in racy puppy 5.5, I used
v2.1
Code:
./configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var --build=i486-pc-linux-gnu --x-includes=/usr/X11R7/include --x-libraries=/usr/X11R7/lib --with-x CFLAGS="-O2"

v2.2
Code:
./configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var --build=i486-pc-linux-gnu --x-includes=/usr/X11R7/include --x-libraries=/usr/X11R7/lib --with-x CFLAGS="-g -O0 -fno-optimize-sibling-calls -fno-omit-frame-pointer -fno-inline"

----------------------------------------------------------------------------------------------------------


Menu entries, Color Setter, and other stuff I got from the file 'winegoodies.tar.gz' [post | page] provided by forum member 'technosaurus'.
I only made a few changes to the contents of that file.

----------------------------------------------------------------------------------------------------------

updated links at my homepage. see below.
Back to top
View user's profile Send private message Visit poster's website 
version2013

Joined: 08 Sep 2013
Posts: 257

PostPosted: Sun 30 Apr 2017, 23:07    Post subject: Wine-2.0.1  

My attempt at compiling wine-2.0.1

[wine-2.0.1 mirrors]

wine-2.0.1_v1.1.pet ________ puppy 431 | stripped=true
wine-2.0.1_v1.2.pet ________ puppy 431 | stripped=false
wine_DEV-2.0.1_v1.1.pet ____ puppy 431 |
wine_DEV-2.0.1_v1.2.pet ____ puppy 431 |

wine-2.0.1_v2.1.pet ________ racy puppy 5.5 | stripped=true
wine-2.0.1_v2.2.pet ________ racy puppy 5.5 | stripped=false
wine_DEV-2.0.1_v2.1.pet ____ racy puppy 5.5 |
wine_DEV-2.0.1_v2.2.pet ____ racy puppy 5.5 |

wine_DOC-2.0.1.pet

wine_extras-v2.1.pet _____________ menu entries | mirrors
md5.txt and hashdeep.txt ________ checksums/hashes | mirrors

----------------------------------------------------------------
Notes for my webpage
http://version2013.yolasite.com/page1.php

The ">" character denotes a link to a mirror for either a directory or file.
ie. Look for the ">" adjacent to a
> directory/
> file

----------------------------------------------------------------

For general use, I recommend packages that are 'stripped=true'.
For submitting bug reports to WineHQ, I recommend packages that are 'stripped=false'.
When submitting bug reports to WineHQ, it appears a 'stripped=false' Wine provides more information than a 'stripped=true' Wine.
[references: post | page]

The first post has links to:
pet to sfs scripts, menu entry utilities, and Wine usage tips.

----------------------------------------------------------------------------------------------------------


----------------
puppy 431
----------------

I compiled using puplet: Puppies 4.31.1 by forum member 'ttuuxxx'

mirrors | /distro/4.3__1/puppies-431.1-main-Xserver.iso
mirrors | /distro/4.3__1/devx_430.sfs

This puplet uses glibc 2.6.1
The Wine files listing 'puppy 431' will possibly not work with a glibc before 2.6.1
To see what glibc your puppy has.
Code:
ldd --version

I installed the following packages, as one sfs file, before compiling;
also known as dependencies:

fontconfig/2.7.1/fontconfig-2.7.1-i486-pup4.pet [mirrors]
fontconfig/2.7.1/fontconfig_DEV-2.7.1-i486-pup4.pet

gmp/6.1.1/gmp-6.1.1-i486_v1.2.pet [mirrors]
gmp/6.1.1/gmp_DEV-6.1.1-i486_v1.2.pet

gnutls/3.5.2/gnutls-3.5.2_v1.2.pet [mirrors]
gnutls/3.5.2/gnutls_DEV-3.5.2.pet

lcms2/2.8/lcms2-2.8_v2.pet [mirrors]
lcms2/2.8/lcms2_DEV-2.8_v2.pet

libelf/0.8.13/libelf-0.8.13-i486_v2.pet [mirrors]
libelf/0.8.13/libelf_DEV-0.8.13-i486_v2.pet

libgcrypt/1.4.6/libgcrypt-1.4.6-i486-431.pet [mirrors]
libgcrypt/1.4.6/libgcrypt_DEV-1.4.6-i486-431.pet

libgpg-error/1.10/libgpg-error-1.10-i486-431.pet [mirrors]
libgpg-error/1.10/libgpg_DEV-error-1.10-i486-431.pet

libgphoto2/2.5.0/libgphoto2-2.5.0-i486_v2.pet [mirrors]
libgphoto2/2.5.0/libgphoto2_DEV-2.5.0-i486.pet

libtasn1/4.8/libtasn1-4.8-i486_v1.2.pet [mirrors]
libtasn1/4.8/libtasn1_DEV-4.8-i486_v1.2.pet

libusb/1.0.9/libusb-1.0.9-i486_v2.pet [mirrors]
libusb/1.0.9/libusb_DEV-1.0.9-i486_v2.pet

mpg123/1.12.4/mpg123-1.12.4.pet [mirrors]
mpg123/1.12.4/mpg123_DEV-1.12.4.pet

nettle/3.2/nettle-3.2_v1.2.pet [mirrors]
nettle/3.2/nettle_DEV-3.2_v1.2.pet

openal-soft/1.13/openal-soft-1.13-i486_v1.1.pet [mirrors]
openal-soft/1.13/openal-soft_DEV-1.13-i486_v1.pet

openldap/2.4.13/openldap-2.4.13-i486.pet [mirrors]
openldap/2.4.13/openldap_DEV-2.4.13-i486.pet

prelink/20130503/prelink-20130503-i486_v2.pet [mirrors]

xorg/7.3/xorg_xorg_full_dri-7.3.pet [mirrors]
xorg/7.3/xorg_xorg_full_dri_DEV-7.3.pet

------------------------------------

When compiling in puppy 431, I used:
v1.1
Code:
./configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var --build=i486-pc-linux-gnu --x-includes=/usr/X11R7/include --x-libraries=/usr/X11R7/lib --with-x CFLAGS="-O2"

v1.2
Code:
./configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var --build=i486-pc-linux-gnu --x-includes=/usr/X11R7/include --x-libraries=/usr/X11R7/lib --with-x CFLAGS="-g -O0 -fno-optimize-sibling-calls -fno-omit-frame-pointer -fno-inline"

----------------------------------------------------------------------------------------------------------

-----------------------
racy puppy 5.5
-----------------------

I compiled using Racy 5.5

mirrors | /distro/racy5.5/racy-5.5.iso
mirrors | /distro/racy5.5/devx_racy_5.5.sfs

This puppy distro uses glibc 2.10.1
The Wine files listing 'racy5.5' will possibly not work with a glibc before 2.10.1
To see what glibc your puppy has.
Code:
ldd --version

I installed the following packages, as one sfs file, before compiling;
also known as dependencies:

fontconfig/2.8.0/fontconfig-2.8.0-w5c.pet [mirrors]
fontconfig/2.8.0/fontconfig_DEV-2.8.0-w5c.pet

gmp/6.1.1/gmp-6.1.1-i486_v1.2.pet [mirrors]
gmp/6.1.1/gmp_DEV-6.1.1-i486_v1.2.pet

gnutls/3.5.2/gnutls-3.5.2_v1.2.pet [mirrors]
gnutls/3.5.2/gnutls_DEV-3.5.2.pet

lcms2/2.8/lcms2-2.8_v2.pet [mirrors]
lcms2/2.8/lcms2_DEV-2.8_v2.pet

libelf/0.8.13/libelf-0.8.13-i486_v2.pet [mirrors]
libelf/0.8.13/libelf_DEV-0.8.13-i486_v2.pet

libgcrypt/1.4.6/libgcrypt-1.4.6-i486-431.pet [mirrors]
libgcrypt/1.4.6/libgcrypt_DEV-1.4.6-i486-431.pet

libgpg-error/1.10/libgpg-error-1.10-i486-431.pet [mirrors]
libgpg-error/1.10/libgpg_DEV-error-1.10-i486-431.pet

libtasn1/4.8/libtasn1-4.8-i486_v1.2.pet [mirrors]
libtasn1/4.8/libtasn1_DEV-4.8-i486_v1.2.pet

mpg123/1.12.4/mpg123-1.12.4.pet [mirrors]
mpg123/1.12.4/mpg123_DEV-1.12.4.pet

nettle/3.2/nettle-3.2_v1.2.pet [mirrors]
nettle/3.2/nettle_DEV-3.2_v1.2.pet

openal-soft/1.13/openal-soft-1.13-i486_v1.1.pet [mirrors]
openal-soft/1.13/openal-soft_DEV-1.13-i486_v1.pet

openldap/2.4.13/openldap-2.4.13-i486.pet [mirrors]
openldap/2.4.13/openldap_DEV-2.4.13-i486.pet

prelink/20130503/prelink-20130503-i486_v2.pet [mirrors]

----------------------------------------


When compiling in racy puppy 5.5, I used
v2.1
Code:
./configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var --build=i486-pc-linux-gnu --x-includes=/usr/X11R7/include --x-libraries=/usr/X11R7/lib --with-x CFLAGS="-O2"

v2.2
Code:
./configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var --build=i486-pc-linux-gnu --x-includes=/usr/X11R7/include --x-libraries=/usr/X11R7/lib --with-x CFLAGS="-g -O0 -fno-optimize-sibling-calls -fno-omit-frame-pointer -fno-inline"

----------------------------------------------------------------------------------------------------------


Menu entries, Color Setter, and other stuff I got from the file 'winegoodies.tar.gz' [post | page] provided by forum member 'technosaurus'.
I only made a few changes to the contents of that file.

----------------------------------------------------------------------------------------------------------

updated links at my homepage. see below.
Back to top
View user's profile Send private message Visit poster's website 
version2013

Joined: 08 Sep 2013
Posts: 257

PostPosted: Thu 04 May 2017, 22:12    Post subject: Wine-2.7  

My attempt at compiling wine-2.7

[wine-2.7 mirrors]

wine-2.7_v1.1.pet ________ puppy 431 | stripped=true
wine-2.7_v1.2.pet ________ puppy 431 | stripped=false
wine_DEV-2.7_v1.1.pet ____ puppy 431 |
wine_DEV-2.7_v1.2.pet ____ puppy 431 |

wine-2.7_v2.1.pet ________ racy puppy 5.5 | stripped=true
wine-2.7_v2.2.pet ________ racy puppy 5.5 | stripped=false
wine_DEV-2.7_v2.1.pet ____ racy puppy 5.5 |
wine_DEV-2.7_v2.2.pet ____ racy puppy 5.5 |

wine_DOC-2.7.pet

wine_extras-v2.1.pet _____________ menu entries | mirrors
md5.txt and hashdeep.txt ________ checksums/hashes | mirrors

----------------------------------------------------------------
Notes for my webpage
http://version2013.yolasite.com/page1.php

The ">" character denotes a link to a mirror for either a directory or file.
ie. Look for the ">" adjacent to a
> directory/
> file

----------------------------------------------------------------

For general use, I recommend packages that are 'stripped=true'.
For submitting bug reports to WineHQ, I recommend packages that are 'stripped=false'.
When submitting bug reports to WineHQ, it appears a 'stripped=false' Wine provides more information than a 'stripped=true' Wine.
[references: post | page]

The first post has links to:
pet to sfs scripts, menu entry utilities, and Wine usage tips.

----------------------------------------------------------------------------------------------------------


----------------
puppy 431
----------------

I compiled using puplet: Puppies 4.31.1 by forum member 'ttuuxxx'

mirrors | /distro/4.3__1/puppies-431.1-main-Xserver.iso
mirrors | /distro/4.3__1/devx_430.sfs

This puplet uses glibc 2.6.1
The Wine files listing 'puppy 431' will possibly not work with a glibc before 2.6.1
To see what glibc your puppy has.
Code:
ldd --version

I installed the following packages, as one sfs file, before compiling;
also known as dependencies:

fontconfig/2.7.1/fontconfig-2.7.1-i486-pup4.pet [mirrors]
fontconfig/2.7.1/fontconfig_DEV-2.7.1-i486-pup4.pet

gmp/6.1.1/gmp-6.1.1-i486_v1.2.pet [mirrors]
gmp/6.1.1/gmp_DEV-6.1.1-i486_v1.2.pet

gnutls/3.5.2/gnutls-3.5.2_v1.2.pet [mirrors]
gnutls/3.5.2/gnutls_DEV-3.5.2.pet

lcms2/2.8/lcms2-2.8_v2.pet [mirrors]
lcms2/2.8/lcms2_DEV-2.8_v2.pet

libelf/0.8.13/libelf-0.8.13-i486_v2.pet [mirrors]
libelf/0.8.13/libelf_DEV-0.8.13-i486_v2.pet

libgcrypt/1.4.6/libgcrypt-1.4.6-i486-431.pet [mirrors]
libgcrypt/1.4.6/libgcrypt_DEV-1.4.6-i486-431.pet

libgpg-error/1.10/libgpg-error-1.10-i486-431.pet [mirrors]
libgpg-error/1.10/libgpg_DEV-error-1.10-i486-431.pet

libgphoto2/2.5.0/libgphoto2-2.5.0-i486_v2.pet [mirrors]
libgphoto2/2.5.0/libgphoto2_DEV-2.5.0-i486.pet

libtasn1/4.8/libtasn1-4.8-i486_v1.2.pet [mirrors]
libtasn1/4.8/libtasn1_DEV-4.8-i486_v1.2.pet

libusb/1.0.9/libusb-1.0.9-i486_v2.pet [mirrors]
libusb/1.0.9/libusb_DEV-1.0.9-i486_v2.pet

mpg123/1.12.4/mpg123-1.12.4.pet [mirrors]
mpg123/1.12.4/mpg123_DEV-1.12.4.pet

nettle/3.2/nettle-3.2_v1.2.pet [mirrors]
nettle/3.2/nettle_DEV-3.2_v1.2.pet

openal-soft/1.13/openal-soft-1.13-i486_v1.1.pet [mirrors]
openal-soft/1.13/openal-soft_DEV-1.13-i486_v1.pet

openldap/2.4.13/openldap-2.4.13-i486.pet [mirrors]
openldap/2.4.13/openldap_DEV-2.4.13-i486.pet

prelink/20130503/prelink-20130503-i486_v2.pet [mirrors]

xorg/7.3/xorg_xorg_full_dri-7.3.pet [mirrors]
xorg/7.3/xorg_xorg_full_dri_DEV-7.3.pet

--------

I applied the following commits/patches to puppy431 wine build:

bug 42478 | patch

------------------------------------

When compiling in puppy 431, I used:
v1.1
Code:
./configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var --build=i486-pc-linux-gnu --x-includes=/usr/X11R7/include --x-libraries=/usr/X11R7/lib --with-x CFLAGS="-O2"

v1.2
Code:
./configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var --build=i486-pc-linux-gnu --x-includes=/usr/X11R7/include --x-libraries=/usr/X11R7/lib --with-x CFLAGS="-g -O0 -fno-optimize-sibling-calls -fno-omit-frame-pointer -fno-inline"

----------------------------------------------------------------------------------------------------------

-----------------------
racy puppy 5.5
-----------------------

I compiled using Racy 5.5

mirrors | /distro/racy5.5/racy-5.5.iso
mirrors | /distro/racy5.5/devx_racy_5.5.sfs

This puppy distro uses glibc 2.10.1
The Wine files listing 'racy5.5' will possibly not work with a glibc before 2.10.1
To see what glibc your puppy has.
Code:
ldd --version

I installed the following packages, as one sfs file, before compiling;
also known as dependencies:

fontconfig/2.8.0/fontconfig-2.8.0-w5c.pet [mirrors]
fontconfig/2.8.0/fontconfig_DEV-2.8.0-w5c.pet

gmp/6.1.1/gmp-6.1.1-i486_v1.2.pet [mirrors]
gmp/6.1.1/gmp_DEV-6.1.1-i486_v1.2.pet

gnutls/3.5.2/gnutls-3.5.2_v1.2.pet [mirrors]
gnutls/3.5.2/gnutls_DEV-3.5.2.pet

lcms2/2.8/lcms2-2.8_v2.pet [mirrors]
lcms2/2.8/lcms2_DEV-2.8_v2.pet

libelf/0.8.13/libelf-0.8.13-i486_v2.pet [mirrors]
libelf/0.8.13/libelf_DEV-0.8.13-i486_v2.pet

libgcrypt/1.4.6/libgcrypt-1.4.6-i486-431.pet [mirrors]
libgcrypt/1.4.6/libgcrypt_DEV-1.4.6-i486-431.pet

libgpg-error/1.10/libgpg-error-1.10-i486-431.pet [mirrors]
libgpg-error/1.10/libgpg_DEV-error-1.10-i486-431.pet

libtasn1/4.8/libtasn1-4.8-i486_v1.2.pet [mirrors]
libtasn1/4.8/libtasn1_DEV-4.8-i486_v1.2.pet

mpg123/1.12.4/mpg123-1.12.4.pet [mirrors]
mpg123/1.12.4/mpg123_DEV-1.12.4.pet

nettle/3.2/nettle-3.2_v1.2.pet [mirrors]
nettle/3.2/nettle_DEV-3.2_v1.2.pet

openal-soft/1.13/openal-soft-1.13-i486_v1.1.pet [mirrors]
openal-soft/1.13/openal-soft_DEV-1.13-i486_v1.pet

openldap/2.4.13/openldap-2.4.13-i486.pet [mirrors]
openldap/2.4.13/openldap_DEV-2.4.13-i486.pet

prelink/20130503/prelink-20130503-i486_v2.pet [mirrors]

----------------------------------------


When compiling in racy puppy 5.5, I used
v2.1
Code:
./configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var --build=i486-pc-linux-gnu --x-includes=/usr/X11R7/include --x-libraries=/usr/X11R7/lib --with-x CFLAGS="-O2"

v2.2
Code:
./configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var --build=i486-pc-linux-gnu --x-includes=/usr/X11R7/include --x-libraries=/usr/X11R7/lib --with-x CFLAGS="-g -O0 -fno-optimize-sibling-calls -fno-omit-frame-pointer -fno-inline"

----------------------------------------------------------------------------------------------------------


Menu entries, Color Setter, and other stuff I got from the file 'winegoodies.tar.gz' [post | page] provided by forum member 'technosaurus'.
I only made a few changes to the contents of that file.

----------------------------------------------------------------------------------------------------------

updated links at my homepage. see below.
Back to top
View user's profile Send private message Visit poster's website 
davids45


Joined: 26 Nov 2006
Posts: 941
Location: Chatswood, NSW

PostPosted: Fri 05 May 2017, 18:49    Post subject: Compiling codes
Subject description: Work with 64-bit Wine?
 

G'day version2013-greendome,

Thank you for your continued help with the latest Wines, stable and developmental.

You quote the code you use at the end of each posting.

Quote:
When compiling in racy puppy 5.5, I used
v2.1
Code:
./configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var --build=i486-pc-linux-gnu --x-includes=/usr/X11R7/include --x-libraries=/usr/X11R7/lib --with-x CFLAGS="-O2"

v2.2
Code:
./configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var --build=i486-pc-linux-gnu --x-includes=/usr/X11R7/include --x-libraries=/usr/X11R7/lib --with-x CFLAGS="-g -O0 -fno-optimize-sibling-calls -fno-omit-frame-pointer -fno-inline"


Do you know if this would work in a 64-bit Pup with a 64-bit version of the wine files? Or what changes may be needed?

I'm having difficulty finding a single wine that works in 64-bit Xenial and Slacko Pup versions. One to be shared to all 64-bit Pups, as an .sfs for example.

Your 32-bit versions are universally good as far as I have been able to test in my many 32-bit Pups.

David S.
Back to top
View user's profile Send private message 
version2013

Joined: 08 Sep 2013
Posts: 257

PostPosted: Sat 06 May 2017, 23:16    Post subject:  

Possibly it is time for me to attempt compiling 64bit wine.
I will go with the Shared WOW64; 64bit with 32bit support.

I am unsure about the configure settings.


https://wiki.winehq.org/FAQ#Is_there_a_64_bit_Wine.3F
https://wiki.winehq.org/Building_Wine#Shared_WoW64
https://wiki.winehq.org/Building_Wine#64-bit_Packages

https://wiki.winehq.org/Gcc
Back to top
View user's profile Send private message Visit poster's website 
davids45


Joined: 26 Nov 2006
Posts: 941
Location: Chatswood, NSW

PostPosted: Sun 07 May 2017, 00:40    Post subject: 64-bit wine & 32-bit wine  

G'day version2013/greendome,

Thanks for being prepared to try a 64-bit wine Pup compilation. That's great news.

I'll be very pleased to test (and use) anything you can provide.

Would a separate thread (or threads - current thread to be re-titled 32-bit wine, new thread as 64-bit wine) be easier for users (like me) to get the right version - more work for you, of course.

Reports of any future problems would be more helpful to you if kept in their separate threads as well, I imagine.

Thanks again,
David S.
Back to top
View user's profile Send private message 
step

Joined: 04 May 2012
Posts: 880

PostPosted: Mon 08 May 2017, 14:24    Post subject:  

version2013 wrote:
Possibly it is time for me to attempt compiling 64bit wine.
I will go with the Shared WOW64; 64bit with 32bit support.

I am unsure about the configure settings.


https://wiki.winehq.org/FAQ#Is_there_a_64_bit_Wine.3F
https://wiki.winehq.org/Building_Wine#Shared_WoW64
https://wiki.winehq.org/Building_Wine#64-bit_Packages

https://wiki.winehq.org/Gcc

Forum user jake29 built WOW64 Wine 2.6 for Fatdog64 >>links to package and SFS files. I'm attaching the corresponding recipe archive for the Fatdog64 build system. Look in particular at function pkg_build (in file "recipe"), which runs configure and make. Everything from the line that calls pkg_build_slackdesc included is for platform packaging; links and scripts that are integral to the user experience. Jake29, jamesbond and I are all familiar with this recipe, as we were involved at different stages in its history.

I think that also forum user illutorium built 64-bit Wines for Puppies at some point.

I've used your fine Wine builds for a long time on Fatdog64 63x and 70x. Thank you. Good luck building new Wines!
wine-2.6-i686-1.tar.gz
Description 
gz

 Download 
Filename  wine-2.6-i686-1.tar.gz 
Filesize  4.79 KB 
Downloaded  17 Time(s) 

_________________
Fatdog64-710|+Packages|Findnrun|+forum|gtkmenuplus
Back to top
View user's profile Send private message 
Display posts from previous:   Sort by:   
Page 15 of 16 [229 Posts]   Goto page: Previous 1, 2, 3, ..., 13, 14, 15, 16 Next
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Virtualization
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.1817s ][ Queries: 15 (0.0051s) ][ GZIP on ]